=== debian/changelog ===
network-manager (1.42.4-1ubuntu2) lunar; urgency=medium

  * d/t/nm.py: Fix autopkgtests with NM-1.42's 'lo' connection (LP: #2009543)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 28 Mar 2023 15:13:56 +0200

network-manager (1.42.4-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 23 Mar 2023 21:31:09 +0100

network-manager (1.42.4-1) unstable; urgency=medium

  * New upstream version 1.42.4
  * Rebase patches
  * Use execute_before instead of override for dh_install

 -- Michael Biebl <biebl@debian.org>  Thu, 09 Mar 2023 19:42:33 +0100

network-manager (1.42.2-2) unstable; urgency=medium

  * dnsmasq: process both global and per-device configuration.
    Cherry-pick upstream patch to fix a regression introduced in 1.42 when
    using the dnsmasq DNS backend and a global DNS configuration.
    (Closes: #1031891)

 -- Michael Biebl <biebl@debian.org>  Fri, 03 Mar 2023 17:57:30 +0100

network-manager (1.42.2-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 23 Feb 2023 18:14:55 -0500

network-manager (1.42.2-1) unstable; urgency=medium

  * New upstream version 1.42.2
  * Drop patches merged upstream
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Feb 2023 17:53:42 +0100

network-manager (1.42.0-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:
      + Run build tests
      + Set --enable-lto. See #1070 for why optimize=-lto is also set
      + Don't build the network-manager* packages on i386
        (unneeded and depends on wpasupplicant)
    - debian/rules, debian/network-manager.postinst:
      + Don't restart NetworkManager on upgrade but recommend restarting
        the computer
    - debian/rules, debian/network-manager.postinst:
      + Don't install sysvinit scripts or migrate from sysvinit
    - d/network-manager.install, d/rules, d/10-dns-resolved.conf:
      + Use systemd-resolved instead of dnsmasq
    - d/network-manager.install, d/10-globally-managed-devices.conf:
      + Explicitly unmanage everything that isn't WiFi or WWAN (mobile data)
    - debian/network-manager.postinst:
      + Don't add the netdev group.
      + drop in an empty override file for NetworkManager to manage all
        devices for upgrade from any version, as long as there is no
        netplan configuration yet.
    - d/network-manager.install, d/default-wifi-powersave-on.conf:
      + Install a config file to enable WiFi powersave
    - Add autopkgtests
    - debian/source_network-manager.py, debian/network-manager.install,
      debian/network-manager.links: Add apport hook
    - Add network-manager-config-connectivity-ubuntu package
    - d/NetworkManager.conf: disable MAC randomization feature. There is no
      easy way for desktop users to disable this feature yet. And there are
      reports that it doesn't work well with some systems.
      See gnome-control-center issue 743
    - Update Vcs links to point to Ubuntu branch
    - Add patches. See patch descriptions for more details:
      + Provide-access-to-some-of-NM-s-interfaces-to-whoopsie.patch
      + Update-dnsmasq-parameters.patch

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 14 Feb 2023 10:06:44 -0500

network-manager (1.42.0-1) unstable; urgency=medium

  * New upstream version 1.42.0
  * Rebase patches
  * Update symbols file for libnm0
  * Cherry-pick upstream patch to fix regression in gtk-doc generation

 -- Michael Biebl <biebl@debian.org>  Fri, 10 Feb 2023 17:38:16 +0100

network-manager (1.40.12-1ubuntu1) lunar; urgency=medium

  * Resynchronize on Debian, remaining changes:
    - debian/control:
      + Depend on isc-dhcp-client
      + Recommend network-manager-pptp
      + Suggest avahi-autoipd for IPv4LL support
    - debian/rules:

