## network-manager 1.44.0

=== debian/changelog ===
network-manager (1.44.0-1ubuntu2) mantic; urgency=medium

  * d/t/{nm.py,nm_netplan.py,network_test_base.py} (LP: #2033391):
    - Wait until NM is ready before starting tests
    - Add a delay loop checking if NM is already on-line before running each
      test.
  * d/t/nm.py: remove expectedFailure from both tests in Hotplug.
    - It's not clear why they were expected to fail. With NM 1.44.0 they are passing.
    - As this class states that the APs are set up with NM already running, in
      test_auto_detect_ap() self.start_nm() was moved to run before
      self.setup_ap() and the assert was fixed to get the actual gobject data.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Wed, 30 Aug 2023 10:09:50 +0100

network-manager (1.44.0-1ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian to the current stable version
    - Patches refreshed
  * Remove erroneous symbol added in 1.42.8-1

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Thu, 10 Aug 2023 15:40:38 +0200

network-manager (1.44.0-1) unstable; urgency=medium

  * New upstream version 1.44.0
  * Explicitly set the modprobe path during configure
  * Update symbols file for libnm0
  * Rebase patches
  * Remove obsolete maintscript code

 -- Michael Biebl <biebl@debian.org>  Wed, 09 Aug 2023 22:22:22 +0200

network-manager (1.42.8-1ubuntu1) UNRELEASED; urgency=medium

  * Resynchronize on Debian to the current stable version
  * debian/libnm0.symbols:
    - updated symbols for the new version

 -- Nathan Pratta Teodosio <nathan.teodosio@canonical.com>  Wed, 09 Aug 2023 16:08:26 +0200

network-manager (1.42.8-1) unstable; urgency=medium

  * New upstream version 1.42.8

 -- Michael Biebl <biebl@debian.org>  Wed, 28 Jun 2023 15:22:30 +0200

network-manager (1.42.6-2ubuntu2) mantic; urgency=medium

  * Remove isc-dhcp-client from Depends
    Unless explicitly configured otherwise the internal DHCP client is used.

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 18 Jul 2023 10:51:11 +0200

network-manager (1.42.6-2ubuntu1) mantic; urgency=medium

  * Resynchronize on Debian to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 22 Jun 2023 12:26:23 +0200

network-manager (1.42.6-2) unstable; urgency=medium

  * Stop installing deprecated polkit pkla file.
    The pkla backend has been superseded by the JS based backend.

 -- Michael Biebl <biebl@debian.org>  Thu, 15 Jun 2023 23:08:24 +0200

network-manager (1.42.6-1) unstable; urgency=medium

  * New upstream version 1.42.6
  * Rebase patches
  * Use Build-Depends on polkitd and libpolkit-gobject-1-dev for polkit.its.
    The obsolete policykit-1 package is going away. (Closes: #1025606)

 -- Michael Biebl <biebl@debian.org>  Mon, 12 Jun 2023 14:48:14 +0200

network-manager (1.42.4-1ubuntu7) mantic; urgency=medium

  [ Michael Biebl ]
  * Use Build-Depends on polkitd and libpolkit-gobject-1-dev for polkit.its
    (Closes: #1025606)

  [ Danilo Egea Gondolfo ]
  * d/t/control: Add easy-rsa as a test dependency
  * d/t/nm.py: generalize Wifi auth configuration.
    The idea is to make is easier to implement tests using different
    authentication methods.
  * d/t/nm.py: implement WPA-EAP 802.1x tests.
    These tests are related to an issue in Netplan but they are also useful
    for network-manager itself. See LP#2016625
  * d/t/nm_netplan.py: add new test cases for ip-tunnel and wireguard
    connections, using Netplan integration. See LP#2016473

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 20 Jun 2023 12:07:12 +0200

network-manager (1.42.4-1ubuntu5) mantic; urgency=medium

  * d/network-manager.postinst: fix netplan migration logic.
    The "continue" is being executed in a subshell so it's not skipping the
    next commands. It will fail if Network Manager is not running. See LP: #2022023
  * d/network-manager.preinst: use /var/lib/NetworkManager for backups
    /root is not a system directory so we shouldn't use it. It might not
    even exist or the package manager might run in a sandbox and not have
    access to it. See LP: #2021937

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 01 Jun 2023 15:17:57 +0100

network-manager (1.42.4-1ubuntu4) mantic; urgency=medium

  * d/t/nm_netplan.py:openvpn: set a metric for the extra default route.
    With a higher metric the route shouldn't be selected over the main one.
    Also, use the same subnet already used by the nm.py tests.

 -- Danilo Egea Gondolfo <danilo.egea.gondolfo@canonical.com>  Thu, 25 May 2023 11:00:31 +0100

network-manager (1.42.4-1ubuntu3) mantic; urgency=medium

  * Upload netplan integration to the Ubuntu archive, details available on
    https://discourse.ubuntu.com/t/call-for-testing-networkmanager-yaml-settings

  [ Lukas Märdian ]
  * d/{control,rules,patches}: Prepare libnetplan build (non i386)
  * debian/patches/netplan: Add libnetplan backend integration patch
  * d/network-manager.preinst: backup previous configuration automatically
  * d/network-manager.postinst: Trigger Netplan migration on install/upgrade

  [ Danilo Egea Gondolfo ]
  * d/t/nm.py: Fix autopkgtests when Netplan is in use
  * d/t/nm_netplan.py: Add autopkgtests for the netplan integration

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 May 2023 13:30:31 +0200
