## network-manager 1.44.2

=== debian/changelog ===
network-manager (1.44.2-1ubuntu1) mantic; urgency=medium

  * Merge with Debian (LP: #2038439)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 04 Oct 2023 09:40:22 -0400

network-manager (1.44.2-1) unstable; urgency=medium

  * New upstream version 1.44.2
  * Rebase patches

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Oct 2023 12:09:39 +0200
