=== debian/control ===
--- 
+++ 
@@ -33,11 +33,15 @@
                libjansson-dev (>= 2.7),
                libbluetooth-dev (>= 5),
                valac,
-               policykit-1,
+               polkitd,
+               libpolkit-gobject-1-dev,
                dbus <!nocheck>,
                python3-dbus <!nocheck>,
                python3-pexpect <!nocheck>,
                iproute2 <!nocheck>,
+               libyaml-dev [!i386],
+               libnetplan-dev (>= 0.106~) [!i386],
+               netplan.io (>= 0.106~) [!i386] <!nocheck>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
@@ -51,8 +55,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
+         netplan.io (>= 0.106~) [!i386],
          libnm0 (= ${binary:Version}),
-         isc-dhcp-client,
          default-dbus-system-bus | dbus-system-bus,
          udev,
          adduser,
