=== debian/changelog ===
network-manager (1.46.0-1ubuntu2.4) noble; urgency=medium

  * d/p/lp2127925-fix-autoreconnect-blocker.patch: unblock autoreconnect when a previously failed
    connection is now successful (LP: #2127925)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Thu, 16 Oct 2025 09:23:45 +0200

network-manager (1.46.0-1ubuntu2.3) noble; urgency=medium

  * fix nmcli that could not report 6ghz wifi channels correctly (LP: #2116940)

 -- Antoine Lassagne <antoine.lassagne@canonical.com>  Tue, 15 Jul 2025 13:38:55 +0200

network-manager (1.46.0-1ubuntu2.2) noble; urgency=medium

  * d/control: Avoid calling into half-upgraded Netplan (LP: #2033259)
    NM calls 'netplan generate', which will crash if new libnetplan1 is already
    installed, but we're calling the old netplan.io Python code expecting the
    old libnetplan0 API.

 -- Lukas Märdian <slyon@ubuntu.com>  Wed, 23 Oct 2024 13:04:42 +0200

network-manager (1.46.0-1ubuntu2.1) noble; urgency=medium

  * d/p/wifi-fix-the-ranges-of-5-GHz-and-6-GHz-bands.patch
    d/p/wifi-fix-enumeration-of-6-GHz-channels-from-wiphy.patch
    - Fix detection of 6 GHz band capability for WiFi devices (LP: #2084731)

 -- Dirk Su <dirk.su@canonical.com>  Wed, 16 Oct 2024 17:16:59 +0800

network-manager (1.46.0-1ubuntu2) noble; urgency=medium

  * debian/tests/control: add Depends: python3-gi for nm_netplan.py
    (LP: #2060221)

 -- Nick Rosbrook <enr0n@ubuntu.com>  Thu, 04 Apr 2024 15:11:48 -0400

network-manager (1.46.0-1ubuntu1) noble; urgency=medium

  * Update to the current stable version

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 03 Apr 2024 11:39:10 +0200

network-manager (1.46.0-1) unstable; urgency=medium

  * New upstream version 1.46.0
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 22 Feb 2024 17:35:02 +0100

network-manager (1.45.91-1) experimental; urgency=medium

  * New upstream version 1.45.91 (1.46 rc2)
  * Rebase patches
  * Update symbols file for libnm0
  * Switch Build-Depends on obsolete pkg-config to pkgconf

 -- Michael Biebl <biebl@debian.org>  Tue, 13 Feb 2024 22:39:30 +0100

network-manager (1.45.90-1ubuntu1) noble; urgency=medium

  * Merge with Debian.
  * debian/patches/git_valid_gkeyfile.patch:
    - cherrypick an upstream change to fix a test issue with glib 2.79

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 12 Feb 2024 16:17:33 +0100

network-manager (1.45.90-1) experimental; urgency=medium

  * New upstream version 1.45.90 (1.46 rc1)
  * Bump Build-Depends on libglib2.0-dev to (>= 2.42)
  * Rebase patches
  * Update symbols file for libnm0

 -- Michael Biebl <biebl@debian.org>  Thu, 25 Jan 2024 10:32:43 +0100

network-manager (1.44.2-7ubuntu2) noble; urgency=medium

  * debian/tests: Clearly mark regular expressions, to avoid SyntaxWarning.
    This fixes autopkgtests on Python3.12, failing due to stderr output.

 -- Lukas Märdian <slyon@ubuntu.com>  Mon, 12 Feb 2024 15:08:34 +0100

network-manager (1.44.2-7ubuntu1) noble; urgency=medium

  * Merge with Debian.

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Jan 2024 09:08:35 -0500

network-manager (1.44.2-7) unstable; urgency=medium

  [ Simon McVittie ]
  * d/control: Explicitly build-depend on gir1.2-girepository-2.0.
    This is currently a virtual package provided by gir1.2-glib-2.0, but it
    will need to be split into a separate package during the
    GNOME 46/GLib 2.79.x cycle.
    Making this dependency explicit will also help to keep track of which
    packages will need coordination when PyGI switches from GIRepository 2.0
    to GIRepository 3.0, which again is likely to happen during the GNOME 46
    cycle. (Closes: #1059623)

 -- Michael Biebl <biebl@debian.org>  Fri, 29 Dec 2023 19:38:14 +0100

network-manager (1.44.2-6) unstable; urgency=medium

  * Revert "Add versioned Breaks against isc-dhcp-client"
    Having a Breaks against isc-dhcp-client can lead to unwanted package
    removals by apt. As the default dhcp backend in network-manager has been
    switched from dhclient to internal, the Breaks is not strictly necessary.
    Users that have explicitly configured "dhcp=dhclient" are advised to
    switch to the internal option (recommended) or temporarily disable the
    sbin.dhclient AppArmor profile shipped by isc-dhcp-client until #1055067
    is fixed. (Closes: #1056638)

 -- Michael Biebl <biebl@debian.org>  Mon, 27 Nov 2023 07:45:49 +0100

network-manager (1.44.2-5) unstable; urgency=medium

  * Replace systemd Build-Depends with systemd-dev.
    Only systemd.pc is required during build which is now shipped in
    systemd-dev.
  * Add versioned Breaks against isc-dhcp-client.
    The AppArmor policy in isc-dhcp-client needs to be updated to account
    for the move of the nm-dhcp-helper binary to /usr/libexec.
    (Closes: #1056313)

 -- Michael Biebl <biebl@debian.org>  Mon, 20 Nov 2023 23:02:41 +0100

network-manager (1.44.2-4) unstable; urgency=medium

  * Fix typo in latest NEWS entry
  * Ship /etc/NetworkManager/VPN directory in network-manager package.
    This will make an eventual cleanup easier once all VPN plugin packages
    have moved their .name files to /usr/lib/NetworkManager/VPN.
  * core: propagate the user-requested reason for act-request disconnection.
    This avoids that deactivating a Wireguard VPN connection triggers an
    error notification.

 -- Michael Biebl <biebl@debian.org>  Sat, 18 Nov 2023 20:57:16 +0100

network-manager (1.44.2-3) unstable; urgency=medium

  * Move systemd services files and udev rules to /usr.
    Add a corresponding versioned Build-Depends on debhelper (>= 13.11.6) to
    ensure we have a recent enough dh_installsystemd.
  * Install helper binaries into /usr/libexec (Closes: #1026388)

 -- Michael Biebl <biebl@debian.org>  Fri, 20 Oct 2023 16:35:24 +0200

network-manager (1.44.2-2) unstable; urgency=medium

  * Stop executing ifupdown hook scripts on network state changes.

