=== debian/control ===
--- 
+++ 
@@ -5,20 +5,22 @@
 XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
 Uploaders: Michael Biebl <biebl@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               debhelper (>= 13.11.6),
                dh-sequence-gir,
                automake (>= 1.12),
-               pkg-config,
+               pkgconf,
                gettext (>= 0.19.8),
-               libglib2.0-dev (>= 2.40),
+               libglib2.0-dev (>= 2.42),
                ppp-dev,
                libselinux1-dev,
                libaudit-dev,
                libgnutls28-dev (>= 2.12),
                uuid-dev,
-               systemd,
+               systemd-dev,
                libsystemd-dev (>= 209),
                libudev-dev (>= 175),
                libgirepository1.0-dev,
+               gir1.2-girepository-2.0,
                gobject-introspection,
                python3-gi,
                libpsl-dev (>= 0.1),
@@ -40,8 +42,8 @@
                python3-pexpect <!nocheck>,
                iproute2 <!nocheck>,
                libyaml-dev [!i386],
-               libnetplan-dev (>= 0.106~) [!i386],
-               netplan.io (>= 0.106~) [!i386] <!nocheck>,
+               libnetplan-dev (>= 1.0~) [!i386],
+               netplan.io (>= 1.0~) [!i386] <!nocheck>,
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 XS-Debian-Vcs-Git: https://salsa.debian.org/utopia-team/network-manager.git
@@ -55,7 +57,8 @@
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends},
          ${misc:Depends},
-         netplan.io (>= 0.106~) [!i386],
+         netplan.io (>= 1.0~) [!i386],
+         python3-netplan (>= 1.0~) [!i386],
          libnm0 (= ${binary:Version}),
          default-dbus-system-bus | dbus-system-bus,
          udev,
