=== debian/watch ===
version=4
https://download.gnome.org/sources/NetworkManager/([\d\.]+[02468])/NetworkManager-@ANY_VERSION@\.tar\.xz
