## network-manager 1.46.0-1ubuntu2.2trisquel4

=== debian/changelog ===
network-manager (1.46.0-1ubuntu2.2trisquel4) ecne; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Thu, 12 Dec 2024 17:45:09 +0000
