=== debian/changelog ===
network-manager (1.46.0-1ubuntu2.3trisquel4) ecne; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 30 Sep 2025 18:49:54 +0000
