=== debian/rules ===
--- 
+++ 
@@ -2,8 +2,9 @@
 
 include /usr/share/dpkg/architecture.mk
 
-ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
+ifeq ($(shell dpkg-vendor --derives-from Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
    BUILD_PACKAGES += -Nnetwork-manager
+   NETPLAN += --disable-netplan
 endif
 
 # Disable lto here regardless of whether we enable the configure flag
@@ -22,7 +23,6 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-		--libexecdir=/usr/lib/NetworkManager \
 		--runstatedir=/run \
 		--with-pppd-plugin-dir=$(PPPD_PLUGIN_DIR) \
 		--with-pppd=/usr/sbin/pppd \
@@ -31,9 +31,10 @@
 		--with-resolvconf=/sbin/resolvconf \
 		--with-dhclient=/sbin/dhclient \
 		--with-dnsmasq=/usr/sbin/dnsmasq \
+		--with-modprobe=/sbin/modprobe \
 		--with-polkit-agent-helper-1=/usr/lib/policykit-1/polkit-agent-helper-1 \
-		--with-systemdsystemunitdir=/lib/systemd/system \
-		--with-udev-dir=/lib/udev \
+		--with-systemdsystemunitdir=/usr/lib/systemd/system \
+		--with-udev-dir=/usr/lib/udev \
 		--with-dbus-sys-dir=/usr/share/dbus-1/system.d \
 		--with-crypto=gnutls \
 		--with-session-tracking=systemd \
@@ -61,7 +62,7 @@
 		--enable-lto \
 		--disable-more-warnings \
 		--disable-modify-system \
-		--disable-ovs
+		--disable-ovs $(NETPLAN)
 
 override_dh_install:
 	find debian/tmp -name '*.la' -print -delete
