## network-manager 1.46.0-1ubuntu2.4trisquel4

=== debian/changelog ===
network-manager (1.46.0-1ubuntu2.4trisquel4) ecne; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 19 Nov 2025 12:51:11 +0000
