## network-manager 1.46.0-1ubuntu2.5trisquel4

=== debian/changelog ===
network-manager (1.46.0-1ubuntu2.5trisquel4) ecne; urgency=medium

  * Do not send hostname on dhcp, plus other features

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 09 Jan 2026 00:51:57 +0000

network-manager (1.46.0-1ubuntu2.5) noble; urgency=medium

  * Use iptables instead of nftables as firewall backend, to match UFW
    (LP: #2128668)

 -- Mitchell Augustin <mitchell.augustin@canonical.com>  Mon, 27 Oct 2025 14:11:40 -0500
